<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.dromara.zjk.mapper.ZjkSmsTemplateMapper">

    <resultMap id="BaseResultMap" type="org.dromara.zjk.domain.ZjkSmsTemplate">
            <id property="id" column="ID" jdbcType="OTHER"/>
            <result property="tmlType" column="tml_type" jdbcType="VARCHAR"/>
            <result property="tmlContent" column="tml_content" jdbcType="VARCHAR"/>
            <result property="startFlag" column="start_flag" jdbcType="OTHER"/>
            <result property="createDept" column="create_dept" jdbcType="VARCHAR"/>
            <result property="tenantId" column="tenant_id" jdbcType="VARCHAR"/>
            <result property="createBy" column="CREATE_BY" jdbcType="OTHER"/>
            <result property="createTime" column="CREATE_TIME" jdbcType="TIMESTAMP"/>
            <result property="updateBy" column="UPDATE_BY" jdbcType="OTHER"/>
            <result property="updateTime" column="UPDATE_TIME" jdbcType="TIMESTAMP"/>
            <result property="title" column="title" jdbcType="VARCHAR"/>
    </resultMap>

    <sql id="Base_Column_List">
        ID,tml_type,tml_content,
        start_flag,create_dept,tenant_id,
        CREATE_BY,CREATE_TIME,UPDATE_BY,
        UPDATE_TIME,title
    </sql>
</mapper>
